<template>
	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>
	<v-container class="ma-auto pt-8 pb-16">
		<v-row class="d-flex align-center" no-gutters>
			<v-col cols="12" lg="6">
				<v-row>
					<v-col class="pa-0" cols="12" lg="3">
						<v-checkbox
							type="checkbox"
							v-model="imageFilter"
							value="selectAll"
							label="Select all"
							color="#D90E32"
							hide-details
						></v-checkbox>
					</v-col>
					<v-col class="pa-0" cols="12" lg="5">
            <v-checkbox type="checkbox" v-model="imageFilter" value="originalImages" label="With original images"
              color="#D90E32" hide-details></v-checkbox>
          </v-col>
          <v-col class="pa-0" cols="12" lg="4">
            <v-checkbox type="checkbox" v-model="imageFilter" value="WithBanner" label="With banner" color="#D90E32"
              hide-details></v-checkbox>
          </v-col>
				</v-row>
			</v-col>

			<v-spacer></v-spacer>

			<v-col cols="12" lg="5">
				<v-row class="d-flex align-center" justify="end">
					<v-col v-if="position.length" class="pa-0" cols="12" lg="8">
						<v-row class="d-flex align-center">
							<v-col class="pa-0" cols="12" lg="3">
								<v-btn class="border">
									<v-img src="@/assets/icons/download.svg"></v-img>
								</v-btn>
							</v-col>
							<v-col class="pa-0" cols="12" lg="3">
								<v-btn>
									<v-img src="@/assets/icons/trash.svg"></v-img>
								</v-btn>
							</v-col>
							<v-col class="pa-0" cols="12" lg="6">
								<v-btn class="btn__add" height="42" rounded="lg">
									<v-img src="@/assets/icons/sliders.svg"></v-img>
									<span>processing</span>
								</v-btn>
							</v-col>
						</v-row>
					</v-col>
					<v-col class="pa-0" cols="12" lg="4">
						<v-btn
							class="btn__add"
							color="#D90E32"
							height="42"
							rounded="lg"
							@click="setActiveDialog"
						>
							<v-icon></v-icon>
							Delete Vehicles
							<v-dialog v-model="dialog" activator="parent" width="400">
								<v-card>
									<v-card-text class="text-center">
										Are you sure you want to delete the transport?
									</v-card-text>
									<div class="d-flex justify-center">
										<v-card-actions>
											<v-btn
												color="primary"
												@click="removeCar($route.params.id)"
												>yes</v-btn
											>
										</v-card-actions>
										<v-card-actions>
											<v-btn color="primary" @click="dialog = false">no</v-btn>
										</v-card-actions>
									</div>
								</v-card>
							</v-dialog>
						</v-btn>
					</v-col>
				</v-row>
			</v-col>
		</v-row>

		<v-row id="item-index" color="#F3F6F8" class="pt-9">
			<v-col
				v-for="img in getImages"
				:key="img"
				cols="12"
				sm="3"
				@click="showModal"
			>
				<v-card class="card__car px-4 pt-4" color="#F3F6F8" rounded="lg">
					<v-row class="mb-2 d-flex align-center">
						<v-col cols="6" lg="6">
							<v-chip>Position {{ img.position }}</v-chip>
						</v-col>
						<v-col cols="6" lg="1" offset="3">
							<v-btn
								active
								flat
								variant="plain"
								:ripple="false"
								color="#293148"
							>
								<img src="../assets/icons/more-horizontal.svg" @click.stop />
							</v-btn>
						</v-col>
					</v-row>
					<v-img cover :src="require(`../assets/img/${img.carImg}`)"></v-img>

					<div class="d-flex justify-end">
						<div>
							<v-checkbox
								v-model="position"
								:value="img.position"
								@click.stop="setActiveClass"
								flat
								:ripple="false"
								variant="plain"
								color="#D90E32"
								hide-details
								type="checkbox"
							></v-checkbox>
						</div>
					</div>
				</v-card>
			</v-col>

			<!-- dialog  -->
			<v-dialog width="878" v-model="isActive">
				<template v-slot:default="{ isActive }">
					<v-card rounded="lg">
						<v-card-actions class="pa-4">
							<v-card-title> Position 1 </v-card-title>
							<v-spacer></v-spacer>

							<v-row class="text-right">
								<v-spacer></v-spacer>
								<v-col cols="6" lg="2">
									<v-btn
										height="42"
										width="42"
										icon
										class="border"
										@click="model = Math.max(model - 1, 0)"
									>
										<v-icon>mdi-arrow-left</v-icon>
									</v-btn>
								</v-col>
								<v-col cols="6" lg="2">
									<v-btn
										height="42"
										width="42"
										icon
										@click="model = Math.min(model + 1, 4)"
										class="border"
									>
										<v-icon>mdi-arrow-right</v-icon>
									</v-btn>
								</v-col>
								<v-col cols="6" lg="3">
									<v-btn
										height="42"
										width="42"
										icon
										text="Close Dialog"
										@click="isActive.value = false"
										class="border"
									>
										<v-icon>mdi-close</v-icon>
									</v-btn>
								</v-col>
							</v-row>
						</v-card-actions>

						<v-carousel
							v-model="model"
							theme
							:show-arrows="false"
							hide-delimiters
						>
							<v-carousel-item
								cover
								v-for="(item, i) in items"
								:key="i"
								:src="item.src"
							>
							</v-carousel-item>
						</v-carousel>

						<v-row class="ma-0 pa-8">
							<v-col class="ma-0 pa-0" cols="12" lg="3">
								<v-btn
									class="btn__add"
									color="#D90E32"
									height="42"
									rounded="lg"
								>
									save photo
								</v-btn>
							</v-col>
							<v-col class="ma-0 pa-0" cols="12" lg="3">
								<v-btn
									class="btn__add"
									type="submit"
									color="red"
									variant="outlined"
									height="42"
									rounded="lg"
								>
									replace photo
								</v-btn>
							</v-col>
							<v-spacer></v-spacer>
							<v-col class="ma-0 pa-0 text-right" cols="12" lg="6">
								<v-btn class="btn__add" height="42" rounded="lg">
									<v-icon></v-icon>
									processing
								</v-btn>
							</v-col>
						</v-row>
					</v-card>
				</template>
			</v-dialog>
		</v-row>
	</v-container>
</template>

<script>
import { mapGetters, mapMutations } from 'vuex'

export default {
	name: 'EditVachiclePage',
	data() {
		return {
			items: [{ src: '../assets/img/car-dialog.png' }],
			model: 0,
			imageFilter: [],
			position: [],
			isActive: false,
			dialog: false,
		}
	},
	computed: {
		...mapGetters(['getImages', 'getImageFilter', 'getRemoveCar']),
	},
	methods: {
		showModal() {
			this.isActive = true
		},
		setActiveClass() {
			this.checked = !this.checked
		},
		...mapMutations(['setRemoveCar']),
		setActiveDialog() {
			dialog = true
		},
		removeCar(id) {
			this.setRemoveCar(id)
			this.$router.push('/vehicles')
		},
	},
}
</script>

<style>
.v-window {
	min-height: 0 !important;
	margin-bottom: 0 !important;
}

.card__car {
	cursor: pointer;
}
</style>
